#include <iostream>
using namespace std;
int main() {
    int h, w; cin>>h>>w;
    long long ans=0;
    for (int i=1; i<=h; i++) {
        ans+=w*i;
    }
    for (int i=1; i<=w; i++) {
        ans+=h*i;
    }
    cout<<ans+h*w-h-w<<endl;
    return 0;
}
